%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}

Name:           mingw-dirac
Version:        1.0.2
Release:        %mkrel 22
Summary:        Dirac is an open source video codec

Group:          Development/Other
License:        MPLv1.1 or GPLv2+ or LGPLv2+
URL:            https://dirac.sourceforge.net/
Source0:        https://downloads.sourceforge.net/dirac/dirac-%{version}.tar.gz
Patch0:         dirac-1.0.2-mingw32-gcc44.patch
Patch1:         dirac-1.0.2-mingw-w64-compatibility.patch
BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 23
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

%description
MinGW Windows dirac compression library.


%package -n mingw32-dirac
Summary:        Dirac is an open source video codec

%description -n mingw32-dirac
MinGW Windows dirac compression library.


%prep
%setup -q -n dirac-%{version}
%patch -P 0 -p1 -b .gcc44
%patch -P 1 -p0 -b .mingw-w64
rm util/conversion/common/setstdiomode.cpp
touch util/conversion/common/setstdiomode.cpp

%build
%global mingw_build_win64 0

# Make sure the compilation also succeeds when mingw32-cppunit is installed
export ac_cv_header_cppunit_TestRunner_h=no

%mingw_configure \
  --program-prefix=dirac_ \
  --program-transform-name=s,dirac_dirac_,dirac_, \
  --enable-overlay \
  --disable-static

%mingw_make_build


%install
%mingw_make_install

# Remove .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la

# Remove docs
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/doc


%files -n mingw32-dirac
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%exclude %{mingw32_bindir}/dirac_create_dirac_testfile.pl
%{mingw32_bindir}/dirac_*.exe
%{mingw32_includedir}/dirac/
%{mingw32_bindir}/libdirac_decoder-0.dll
%{mingw32_bindir}/libdirac_encoder-0.dll
%{mingw32_libdir}/pkgconfig/dirac.pc
%{mingw32_libdir}/libdirac_decoder.dll.a
%{mingw32_libdir}/libdirac_encoder.dll.a



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.0.2-22.mga10
+ Revision: 2232613
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 1.0.2-21.mga10
+ Revision: 2127836
- Rebuild for patchN deprecation

* Fri Dec 02 2022 umeabot <umeabot> 1.0.2-20.mga9
+ Revision: 1914355
- Mageia 9 Mass Rebuild

* Tue Dec 22 2020 wally <wally> 1.0.2-19.mga8
+ Revision: 1662927
- use updated mingw macros for building

* Sat Sep 26 2020 tv <tv> 1.0.2-18.mga8
+ Revision: 1630234
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-17.mga8
+ Revision: 1492004
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-16.mga7
+ Revision: 1264270
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.0.2-15.mga6
+ Revision: 940964
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-14.mga5
+ Revision: 742652
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-13.mga5
+ Revision: 682423
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-12.mga4
+ Revision: 536161
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.0.2-11.mga4
+ Revision: 483526
- imported package mingw-dirac


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 1.0.2-8
- Remove .la files

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0.2-7
- Renamed the source package to mingw-dirac (RHBZ #800859)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.0.2-6
- Rebuild against the mingw-w64 toolchain
- Dropped BR: mingw32-dlfcn as it's unneeded
- Fix compilation against latest mingw-w64 trunk

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 1.0.2-4
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul  9 2009 kwizart < kwizart at gmail.com > - 1.0.2-2
- Fix for mingw32-gcc 4.4.0 and binary mode

* Tue Mar 24 2009 kwizart < kwizart at gmail.com > - 1.0.2-1
- Update to 1.0.2

* Mon Jan  5 2009 kwizart < kwizart at gmail.com > - 1.0.0-1
- Initial package based on original dirac.spec

